com.salesforce.datacloud.jdbc.core

## Class QueryJDBCCursor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor
  - - com.salesforce.datacloud.jdbc.core.QueryJDBCCursor

All Implemented Interfaces:
  AutoCloseable, org.apache.calcite.avatica.util.Cursor

    public class QueryJDBCCursor
    extends org.apache.calcite.avatica.util.AbstractCursor

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.calcite.avatica.util.AbstractCursor

`org.apache.calcite.avatica.util.AbstractCursor.AbstractGetter, org.apache.calcite.avatica.util.AbstractCursor.ArrayAccessor, org.apache.calcite.avatica.util.AbstractCursor.Getter, org.apache.calcite.avatica.util.AbstractCursor.SlotGetter, org.apache.calcite.avatica.util.AbstractCursor.StructGetter`

### Nested classes/interfaces inherited from interface org.apache.calcite.avatica.util.Cursor

`org.apache.calcite.avatica.util.Cursor.Accessor`

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor

`wasNull`

### Constructor Summary

Constructors
Constructor and Description
`QueryJDBCCursor(org.apache.arrow.vector.VectorSchemaRoot schemaRoot)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`List<org.apache.calcite.avatica.util.Cursor.Accessor>` `createAccessors(List<org.apache.calcite.avatica.ColumnMetaData> types, Calendar localCalendar, org.apache.calcite.avatica.util.ArrayImpl.Factory factory)`
`protected org.apache.calcite.avatica.util.AbstractCursor.Getter` `createGetter(int i)`
`boolean` `next()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor

`createAccessor, createAccessor, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryJDBCCursor

    public QueryJDBCCursor(org.apache.arrow.vector.VectorSchemaRoot schemaRoot)

### Method Detail

#### createAccessors

    public List<org.apache.calcite.avatica.util.Cursor.Accessor> createAccessors(List<org.apache.calcite.avatica.ColumnMetaData> types,
                                                                                 Calendar localCalendar,
                                                                                 org.apache.calcite.avatica.util.ArrayImpl.Factory factory)

Specified by:
  `createAccessors` in interface `org.apache.calcite.avatica.util.Cursor`
Overrides:
  `createAccessors` in class `org.apache.calcite.avatica.util.AbstractCursor`

#### createGetter

    protected org.apache.calcite.avatica.util.AbstractCursor.Getter createGetter(int i)

Specified by:
  `createGetter` in class `org.apache.calcite.avatica.util.AbstractCursor`

#### next

    public boolean next()

Specified by:
  `next` in interface `org.apache.calcite.avatica.util.Cursor`
Specified by:
  `next` in class `org.apache.calcite.avatica.util.AbstractCursor`

#### close

    public void close()